org.apache.commons.jelly.impl

## Class TextScript

- java.lang.Object
- - org.apache.commons.jelly.impl.TextScript

All Implemented Interfaces:
  Script

    public class TextScript
    extends Object
    implements Script

`TextScript` outputs some static text.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`TextScript()`
`TextScript(String text)`

### Method Summary

Methods
`Script` `compile()` Called by the parser to allow a more efficient representation of the script to be used.
`String` `getText()`
`void` `run(JellyContext context, XMLOutput output)` Evaluates the body of a tag
`void` `setText(String text)` Sets the text output by this script
`String` `toString()`
`void` `trimWhitespace()` Trims whitespace if this is ignorable whitespace.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TextScript

    public TextScript()

#### TextScript

    public TextScript(String text)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### trimWhitespace

    public void trimWhitespace()

Trims whitespace if this is ignorable whitespace.

#### getText

    public String getText()

Returns:
  the text output by this script

#### setText

    public void setText(String text)

Sets the text output by this script

#### compile

    public Script compile()

Description copied from interface: `Script`
Called by the parser to allow a more efficient representation of the script to be used.

Specified by:
  `compile` in interface `Script`

#### run

    public void run(JellyContext context,
           XMLOutput output)
             throws JellyTagException

Evaluates the body of a tag

Specified by:
  `run` in interface `Script`
Throws:
  `JellyTagException`